MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026330Community[OCCT] OCCT:Modeling Algorithmspublic2015-06-10 10:142015-10-23 20:51
Reportermartinsiggel 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026330: BRepOffsetAPI_ThruSections creates invalid shape
DescriptionI tried to create loft by creating two wires. The wires are identical except their location attributes. The second wire is translated and scaled compared to the first.

Both wires seem to be okay according to checkshape. The resulting loft has faulty subshapes.

The meshed result looks also incorrect with OCCT >= 6.8.0.

As a workaround, I can apply the transformation to the geometry instead (using BRepBuilderAPI_GTransform, which is much slower). Then, the algorithm works.
Steps To Reproducepload ALL
restore s1.brep s1
restore s2.brep s2
# both wires seem okay
checkshape s1
checkshape s2

thrusections res 1 1 s1 s2
# faulty subshapes
checkshape res

# show invalid tesselation
vinit
vsetdispmode 1
vdisplay res
vfit
Additional information
and documentation updates
Treatment of location for planar faces is improved in methods BRep_Tool::CurveOnSurface(...) and BRepCheck_Edge::InContext(...) to get correct pcurve on plane when location has scale factor != 1.
TagsNo tags attached.
Test case numberbugs modalg_6 bug26330
Attached Fileszip file icon OCC-Thrusections-Bug.zip (47,476 bytes) 2015-06-10 10:14

- Relationships

-  Notes
(0042312)
git (administrator)
2015-06-22 15:17

Branch CR26330 has been created by ifv.

SHA-1: 7fab0d59b74d92d6741c5e70aceae462c5af4cf4


Detailed log of new commits:

Author: ifv
Date: Mon Jun 22 09:53:30 2015 +0300

    0026330: BRepOffsetAPI_ThruSections creates invalid shape
(0042313)
ifv (developer)
2015-06-22 15:18

branch CR26330 is ready to review
(0042315)
msv (developer)
2015-06-22 15:45

Reviewed.
(0042349)
apv (tester)
2015-06-23 14:13

Dear BugMaster,

Branch CR26330 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 7fab0d59b74d92d6741c5e70aceae462c5af4cf4

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR26330-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26330-master-occt-64/Windows-64-VC10/summary.html [^]
bugs vis bug22240
de iges_2 F4
http://occt-tests/CR26330-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR26330-master-products-64/Windows-64-VC10/summary.html [^]
sat doc_1 Z2

Testing on Linux:
Total MEMORY difference: 97304017 / 97690124 [-0.40%]
Total CPU difference: 18790.889999999723 / 18373.800000000123 [+2.27%]

Testing on Windows:
Total MEMORY difference: 56703968 / 56720585 [-0.03%]
Total CPU difference: 17597.942406598908 / 17593.933180898835 [+0.02%]
(0042387)
git (administrator)
2015-06-23 18:50

Branch CR26330 has been updated forcibly by ifv.

SHA-1: 3c0f9590d91783c5b7dcea34b0d262827575126a
(0042388)
ifv (developer)
2015-06-23 18:52

CR26330 is updated and can be tested
(0042422)
mkv (tester)
2015-06-24 16:29

Dear BugMaster,
Branch CR26330 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 3c0f9590d91783c5b7dcea34b0d262827575126a

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26330-master-occt-64/Debian70-64/bugs/modalg_6/bug26330.html [^]
http://occt-tests/CR26330-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26330.html [^]
bugs modalg_6 bug26330: OK

Testing on Linux:
occt component :
Total MEMORY difference: 97718992 / 98350341 [-0.64%]
Total CPU difference: 18278.879999999943 / 18565.700000000143 [-1.54%]
products component :
Total MEMORY difference: 24198008 / 24306506 [-0.45%]
Total CPU difference: 8273.17999999998 / 7856.900000000035 [+5.30%]

Testing on Windows:
occt component :
Total MEMORY difference: 56659327 / 56864769 [-0.36%]
Total CPU difference: 17679.062926598945 / 17660.561207998842 [+0.10%]
products component :
Total MEMORY difference: 15544577 / 15548727 [-0.03%]
Total CPU difference: 6525.4906298 / 6414.667519399968 [+1.73%]

There are no differences in images found by testdiff.
(0042423)
git (administrator)
2015-06-24 16:31

Branch CR26330 has been updated by mkv.

SHA-1: 42f6eeb06437217ebe531db81497ec74c91d45d6


Detailed log of new commits:

Author: mkv
Date: Wed Jun 24 16:31:00 2015 +0300

    Test case for issue CR26330

(0044219)
git (administrator)
2015-08-14 10:57

Branch CR26330 has been deleted by inv.

SHA-1: 42f6eeb06437217ebe531db81497ec74c91d45d6

- Related Changesets
occt: master b7723347
Timestamp: 2015-06-25 10:08:47
Author: ifv
Committer: bugmaster
Details ] Diff ]
0026330: BRepOffsetAPI_ThruSections creates invalid shape

Test case for issue CR26330
mod - src/BRep/BRep_Tool.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Edge.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26330 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-10 10:14 martinsiggel New Issue
2015-06-10 10:14 martinsiggel Assigned To => msv
2015-06-10 10:14 martinsiggel File Added: OCC-Thrusections-Bug.zip
2015-06-10 10:16 martinsiggel Steps to Reproduce Updated View Revisions
2015-06-10 10:24 msv Assigned To msv => ifv
2015-06-10 10:24 msv Target Version 7.0.0 => 7.1.0
2015-06-22 15:17 git Note Added: 0042312
2015-06-22 15:18 ifv Note Added: 0042313
2015-06-22 15:18 ifv Assigned To ifv => msv
2015-06-22 15:18 ifv Status new => resolved
2015-06-22 15:45 msv Note Added: 0042315
2015-06-22 15:45 msv Assigned To msv => bugmaster
2015-06-22 15:45 msv Status resolved => reviewed
2015-06-22 16:01 apv Assigned To bugmaster => apv
2015-06-23 14:13 apv Note Added: 0042349
2015-06-23 14:13 apv Assigned To apv => ifv
2015-06-23 14:13 apv Status reviewed => assigned
2015-06-23 18:50 git Note Added: 0042387
2015-06-23 18:51 ifv Status assigned => resolved
2015-06-23 18:52 ifv Note Added: 0042388
2015-06-23 18:52 ifv Assigned To ifv => bugmaster
2015-06-23 18:52 ifv Status resolved => reviewed
2015-06-23 19:06 mkv Assigned To bugmaster => mkv
2015-06-24 16:29 mkv Note Added: 0042422
2015-06-24 16:29 mkv Assigned To mkv => bugmaster
2015-06-24 16:29 mkv Status reviewed => tested
2015-06-24 16:29 mkv Test case number => bugs modalg_6 bug26330
2015-06-24 16:31 git Note Added: 0042423
2015-06-26 13:42 bugmaster Changeset attached => occt master b7723347
2015-06-26 13:42 bugmaster Status tested => verified
2015-06-26 13:42 bugmaster Resolution open => fixed
2015-07-03 15:31 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:57 git Note Added: 0044219
2015-08-26 11:08 abv Target Version 7.0.0 => 6.9.1
2015-09-01 15:26 ifv Additional Information Updated View Revisions
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker